> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.middesk.com/api-reference/entity-management/registration-requests/list-registration-requests/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.middesk.com/_mcp/server. # List registration requests GET https://api.middesk.com/v1/partner/registration_requests Returns all registration requests for the partner unless both page and per_page are supplied. Supplying only one does not enable pagination. Paginated requests are ordered by creation time ascending, then ID ascending. Use external_id to filter by the partner company identifier. Reference: https://docs.middesk.com/api-reference/entity-management/registration-requests/list-registration-requests ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Query parameters - `page` (integer, optional) — Page number, starting at 1. Pagination is enabled only when both page and per_page are supplied. - `per_page` (integer, optional) — Items per page. Pagination is enabled only when both page and per_page are supplied. - `external_id` (string, optional) — Exact company external ID ## Response ### 200 registration requests list - `object` (string, optional) - `data` (list of RegistrationRequest, optional) - `url` (string, optional) - `has_more` (boolean, optional) — Present only when both page and per_page are supplied. Whether more pages are available. - `total_count` (integer, optional) — Present only when both page and per_page are supplied. Total matching registration requests across all pages. ## Types ### RegistrationRequest - `object` (string, required) - `id` (string, required) - `state` (enum, required) — US state abbreviation - Allowed values: `AL`, `AK`, `AZ`, `AR`, `CA`, `CO`, `CT`, `DE`, `FL`, `GA`, `HI`, `ID`, `IL`, `IN`, `IA`, `KS`, `KY`, `LA`, `ME`, `MD`, `MA`, `MI`, `MN`, `MS`, `MO`, `MT`, `NE`, `NV`, `NH`, `NJ`, `NM`, `NY`, `NC`, `ND`, `OH`, `OK`, `OR`, `PA`, `RI`, `SC`, `SD`, `TN`, `TX`, `UT`, `VT`, `VA`, `WA`, `WV`, `WI`, `WY` - `status` (string, required) — Request status - `tax_registration_types` (list of string, required, nullable) — Types of tax registrations requested - `company_id` (string, required) - `created_at` (string, required) - `agencies` (list of map from string to any, required) — Tax agency registrations - `items` (list of map from string to any, required) — Registration items - `invite_link` (string, required) - `external_id` (string, optional, nullable) - `submitted_at` (string, optional, nullable) - `tax_registration` (map from string to any, optional, nullable) — Tax registration details ## Examples **Response** ```json { "object": "list", "data": [ { "object": "registration_request", "id": "id", "state": "AL", "status": "status", "tax_registration_types": [ "tax_registration_types" ], "company_id": "company_id", "created_at": "created_at", "agencies": [ { "key": "value" } ], "items": [ { "key": "value" } ], "invite_link": "invite_link", "external_id": "external_id", "submitted_at": "submitted_at", "tax_registration": { "key": "value" } } ], "url": "url", "has_more": true, "total_count": 1 } ``` **SDK Code** ```python import requests url = "https://api.middesk.com/v1/partner/registration_requests" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.middesk.com/v1/partner/registration_requests'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.middesk.com/v1/partner/registration_requests" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.middesk.com/v1/partner/registration_requests") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.middesk.com/v1/partner/registration_requests") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.middesk.com/v1/partner/registration_requests', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.middesk.com/v1/partner/registration_requests"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.middesk.com/v1/partner/registration_requests")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```